Bug 827620 - repository resource api uses deprecated execution calls
repository resource api uses deprecated execution calls
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 17:01 EDT by Jason Connor
Modified: 2015-03-22 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2012-06-01 17:01:23 EDT
use execute instead of execute_ok
Comment 1 Jay Dobies 2012-06-29 15:06:46 EDT
In release 0.309
Comment 2 Jason Connor 2012-08-16 16:43:38 EDT
importer/distributor apis still use execute_ok for updates, please use execute and return self.ok() after adding in _href field
Comment 3 Jason Connor 2012-11-07 23:56:47 EST
There are still 2 PUT and 1 POST controllers that use the deprecated call, this should be failed.
Comment 4 Preethi Thomas 2012-11-08 09:01:18 EST
Failing as per comment#3
Comment 5 Sayli Karmarkar 2012-11-29 03:36:20 EST
updated repo, repo_group, consumer and user apis to use execute instead of execute_ok
Comment 6 Jeff Ortel 2012-11-29 16:30:07 EST
build: 2.0.6-0.10.beta
Comment 7 Jason Connor 2012-12-16 16:20:45 EST
no more execute_ok calls in the code
Comment 8 Preethi Thomas 2013-01-09 12:08:06 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.